# (kamil) make the .spec portable over systems with non-GNU sed
%bcond_with gnuprefix

%define _bindir /bin

Summary:	A GNU stream text editor
Name:		sed
Version:	4.2.2
Release:	%mkrel 9
License:	GPL
Group:		Text tools
Url:		http://www.gnu.org/software/sed/
Source0:	ftp://ftp.gnu.org/pub/gnu/sed/%{name}-%{version}.tar.bz2
Patch0:		sed-4.1.1-dest_len-0.1.patch
Requires(preun):	info-install
Requires(post):	info-install
BuildRequires:	texinfo

%description
The sed (Stream EDitor) editor is a stream or batch (non-interactive)
editor.  Sed takes text as input, performs an operation or set of
operations on the text and outputs the modified text.  The operations
that sed performs (substitutions, deletions, insertions, etc.) can be
specified in a script file or from the command line.

%prep
%setup -q
%patch0 -p1 -b .dest_len

%build
%configure2_5x \
%if %{with gnuprefix}
	       --program-prefix=g
%endif

%make
%make html

%install
%make_install
rm -f %{buildroot}%{_docdir}/sed.html

%find_lang %{name}

%check
%make check

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%doc BUGS NEWS README doc/sed.html
%{_bindir}/*sed 
%{_infodir}/sed.info*
%{_mandir}/man1/*sed.1*


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 4.2.2-9.mga6
+ Revision: 958844
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 danf <danf> 4.2.2-8.mga6
+ Revision: 892947
- Don't strip binaries to preserve debuginfo

* Fri Aug 21 2015 tmb <tmb> 4.2.2-7.mga6
+ Revision: 867885
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 4.2.2-6.mga5
+ Revision: 742173
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2.2-5.mga5
+ Revision: 689104
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.2.2-4.mga4
+ Revision: 532720
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 kamil <kamil> 4.2.2-3.mga4
+ Revision: 469482
- Improve portability of the .spec for non-GNU systems and introduce a few clean-ups

* Mon Jan 14 2013 umeabot <umeabot> 4.2.2-2.mga3
+ Revision: 381932
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 fwang <fwang> 4.2.2-1.mga3
+ Revision: 334482
- new version 4.2.

* Sun Jun 10 2012 blino <blino> 4.2.1-5.mga3
+ Revision: 259530
- rebuild to get info pages as xz instead of lzma

* Sun Jan 02 2011 boklm <boklm> 4.2.1-4.mga1
+ Revision: 54
- imported package sed


* Sun Jan  2 2011 Thomas Backlund <tmb@mageia.org> 4.2.1-4.mga1
- initial import

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 4.2.1-3mdv2011.0
+ Revision: 607530
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 4.2.1-2mdv2010.1
+ Revision: 520215
- rebuilt for 2010.1

* Sun Jun 28 2009 Frederik Himpe <fhimpe@mandriva.org> 4.2.1-1mdv2010.0
+ Revision: 390170
- update to new version 4.2.1

* Sat May 02 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.2-1mdv2010.0
+ Revision: 370724
- update to new version 4.2

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 4.1.5-5mdv2009.1
+ Revision: 317154
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 4.1.5-4mdv2009.0
+ Revision: 225433
- rebuild

* Fri Jan 04 2008 Emmanuel Andry <eandry@mandriva.org> 4.1.5-3mdv2008.1
+ Revision: 144218
- Fix group (bug #36363)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.1.5-2mdv2007.0
+ Revision: 119972
- Import sed

* Wed Mar 01 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.1.5-1mdk
- 4.1.5
- Fix prereq

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 4.1.4-3mdk
- Rebuild

* Sat Feb 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 4.1.4-2mdk
- add BuildRequires: texinfo

* Fri Feb 18 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.1.4-1mdk
- 4.1.4
- fix summary-ended-with-dot
- rather specify bindir with configure than moving it around afterwards

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.1.2-1mdk
- 4.1.2

* Thu Aug 19 2004 Stew Benedict <sbenedict@mandrakesoft.com> 4.1.1-2mdk
- new patch0 for lsb/i18n tests (Mitsuru Chinen, should merge upstream soon)

* Tue Jul 27 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.1.1-1mdk
- 4.1.1
- cosmetics

